stages:
  - build
  - test
  - deploy
variables:
  file_name: computer.txt
build-laptop:
  stage: build
  image: alpine
  script:
    - echo "Building a laptop"
    - mkdir build
    - echo "Mainboard" >> build/$file_name
    - cat build/$file_name
    - echo "Keyboard" >> build/$file_name
    - cat build/$file_name
  artifacts:
    paths:
      - build

test-build-laptop:
  image: alpine
  stage: test
  script:
    - test -f build/$file_name
    - grep "Mainboard" build/$file_name
    - grep "Keyboard" build/$file_name

deploy-prod:
  stage: deploy
  script:
    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."
  environment: production
